## Script (Python) "mxmContacts_csv_defaults"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=export_type
##title=Returns default fields for csv files
##

if export_type=='mxmContactsPerson':
    defaults = [
        'organization',
        'jobtitle',
        'firstname',
        'lastname', 
        'address',
        'city',
        'po',
        'country',
    ]
elif export_type=='mxmContactsOrganization':
    defaults = [
        'title',
        'address',
        'city',
        'misc',
        'po',
        'country',
    ]
    
    

d = {} # faster way to lookup
for v in defaults:
    d[v] = None
return d